import { TABLE_INJECTION_KEY } from "../tokens.mjs";
import { inject, computed } from "vue";
function useMapState() {
  var _a;
  const store = (_a = inject(TABLE_INJECTION_KEY)) == null ? void 0 : _a.store;
  return {
    leftFixedLeafCount: computed(() => {
      return (store == null ? void 0 : store.states.fixedLeafColumnsLength.value) ?? 0;
    }),
    rightFixedLeafCount: computed(() => {
      return (store == null ? void 0 : store.states.rightFixedColumns.value.length) ?? 0;
    }),
    columnsCount: computed(() => {
      return (store == null ? void 0 : store.states.columns.value.length) ?? 0;
    }),
    leftFixedCount: computed(() => {
      return (store == null ? void 0 : store.states.fixedColumns.value.length) ?? 0;
    }),
    rightFixedCount: computed(() => {
      return (store == null ? void 0 : store.states.rightFixedColumns.value.length) ?? 0;
    }),
    columns: computed(() => (store == null ? void 0 : store.states.columns.value) ?? [])
  };
}
export {
  useMapState as default
};
